Package org.eclipse.emf.cdo.lm.reviews.impl

# Class DropReviewImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl
org.eclipse.emf.internal.cdo.CDOObjectImpl
org.eclipse.emf.cdo.etypes.impl.ModelElementImpl
org.eclipse.emf.cdo.lm.impl.BaselineImpl
org.eclipse.emf.cdo.lm.reviews.impl.ReviewImpl
org.eclipse.emf.cdo.lm.reviews.impl.DropReviewImpl

All Implemented Interfaces:
  `CDOObject`, `CDOWithID`, `CDOPackageTypeRegistry.CDOObjectMarker`, `ModelElement`, `Baseline`, `FixedBaseline`, `ExtendedBaseline`, `ModuleElement`, `Commentable`, `DropReview`, `Review`, `StreamElement`, `SystemElement`, `Notifier`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`, `InternalCDOLoadable`, `InternalCDOObject`

public class DropReviewImpl extends ReviewImpl implements DropReview
An implementation of the model object 'Drop Review'.

Generated
No Extend
  This class is not intended to be subclassed by clients.

  The following features are implemented:

  - `Version`
  - `Dependencies`
  - `Delivery`
  - `Target Time Stamp`
  - `Drop Type`
  - `Drop Label`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final String`
`DROP_LABEL_EDEFAULT`
The default value of the '`Drop Label`' attribute.
`protected static final long`
`TARGET_TIME_STAMP_EDEFAULT`
The default value of the '`Target Time Stamp`' attribute.
`protected static final Version`
`VERSION_EDEFAULT`
The default value of the '`Version`' attribute.

### Fields inherited from class org.eclipse.emf.cdo.lm.reviews.impl.ReviewImpl

`AUTHOR_EDEFAULT, COMMENT_COUNT_EDEFAULT, ID_EDEFAULT, RESOLVED_COUNT_EDEFAULT, STATUS_EDEFAULT, UNRESOLVED_COUNT_EDEFAULT`

### Fields inherited from class org.eclipse.emf.cdo.lm.impl.BaselineImpl

`FLOATING_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.cdo.lm.Baseline

`COMPARATOR`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DropReviewImpl()`

## Method Summary

Modifier and Type
Method
Description
`int`
`eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass)`
`int`
`eDerivedOperationID(int baseOperationID, Class<?> baseClass)`
`int`
`eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain`
`eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`Object`
`eInvoke(int operationID, EList<?> arguments)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`EList<Change>`
`getBasedChanges()`
`long`
`getBaseTimeStamp()`
`CDOBranchPointRef`
`getBranchPoint()`
`Delivery`
`getDelivery()`
`EList<Dependency>`
`getDependencies()`
`String`
`getDropLabel()`
`DropType`
`getDropType()`
`String`
`getName()`
`int`
`getSortPriority()`
`long`
`getTargetTimeStamp()`
`String`
`getTypeName()`
`Version`
`getVersion()`
`boolean`
`isFloating()`
`void`
`setDelivery(Delivery newDelivery)`
`void`
`setDropLabel(String newDropLabel)`
`void`
`setDropType(DropType newDropType)`
`void`
`setVersion(Version newVersion)`

### Methods inherited from class org.eclipse.emf.cdo.lm.reviews.impl.ReviewImpl

`eInverseAdd, getAuthor, getCommentCount, getComments, getId, getResolvedCount, getReview, getReviewers, getStatus, getUnresolvedCount, setAuthor, setId, setStatus`

### Methods inherited from class org.eclipse.emf.cdo.lm.impl.BaselineImpl

`basicSetStream, change, eBasicRemoveFromContainerFeature, extended, getModule, getStream, getSystem, getTypeAndName, name, setStream, time, type`

### Methods inherited from class org.eclipse.emf.cdo.etypes.impl.ModelElementImpl

`eStaticFeatureCount, getAnnotation, getAnnotations`

### Methods inherited from class org.eclipse.emf.internal.cdo.CDOObjectImpl

`cdoClassInfo, cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInternalDynamicFeature, cdoInternalInstance, cdoInternalPostAttach, cdoInternalPostDetach, cdoInternalPostDetach, cdoInternalPostInvalidate, cdoInternalPostLoad, cdoInternalPostRollback, cdoInternalPreAttach, cdoInternalPreCommit, cdoInternalPreLoad, cdoInternalSetID, cdoInternalSetResource, cdoInternalSetRevision, cdoInternalSetState, cdoInternalSetView, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption, createFeatureMap, createList, createLock, createMap, createOrderedList, createUnorderedList, dynamicGet, dynamicSet, dynamicUnset, eAdapterAdded, eAdapterRemoved, eAdapters, eBasicAdapterListeners, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainer, eBasicSetSettings, eBasicSettings, eClass, eContainerAdapterArray, eContainerFeatureID, eDirectResource, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicIsSet, eHasSettings, eInternalContainer, eInternalResource, eIsCaching, emfToString, equals, eSetClass, eSetDirectResource, eSetResource, eSettings, eStore, getLockState, hashCode, instanceToRevisionFeature, revisionToInstanceFeature, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl

`eBasicContainerFeatureID, eBasicInternalContainer, eDerivedStructuralFeatureID`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eContents, eCrossReferences, eDeliver, eIsProxy, eProperties, eProxyURI, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticOperationCount, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.lm.Baseline

`getStream, getTypeAndName, setStream`

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoState, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.cdo.lm.reviews.Commentable

`getCommentCount, getComments, getResolvedCount, getReview, getUnresolvedCount`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eBasicRemoveFromContainer, eGet, eInverseAdd, eInverseRemove, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSetProxyURI, eSetStore, eSetting, eURIFragmentSegment`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.cdo.lm.ModuleElement

`getModule`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.cdo.lm.reviews.Review

`getAuthor, getId, getReviewers, getStatus, setAuthor, setId, setStatus`

### Methods inherited from interface org.eclipse.emf.cdo.lm.SystemElement

`getSystem`

## Field Details

### VERSION_EDEFAULT

protected static final Version VERSION_EDEFAULT
The default value of the '`Version`' attribute.

See Also:
  - `getVersion()`
Generated
Ordered

### TARGET_TIME_STAMP_EDEFAULT

protected static final long TARGET_TIME_STAMP_EDEFAULT
The default value of the '`Target Time Stamp`' attribute.

See Also:
  - `getTargetTimeStamp()`
  - Constant Field Values
Generated
Ordered

### DROP_LABEL_EDEFAULT

protected static final String DROP_LABEL_EDEFAULT
The default value of the '`Drop Label`' attribute.

See Also:
  - `getDropLabel()`
Generated
Ordered

## Constructor Details

### DropReviewImpl

protected DropReviewImpl()

Generated

## Method Details

### eStaticClass

protected EClass eStaticClass()

Overrides:
  `eStaticClass` in class `ReviewImpl`
Generated

### getVersion

public Version getVersion()

Specified by:
  `getVersion` in interface `FixedBaseline`
Returns:
  the value of the 'Version' attribute.
See Also:
  - `FixedBaseline.setVersion(Version)`
  - `LMPackage.getFixedBaseline_Version()`
Generated

### setVersion

public void setVersion(Version newVersion)

Specified by:
  `setVersion` in interface `FixedBaseline`
Parameters:
  `newVersion` - the new value of the 'Version' attribute.
See Also:
  - `FixedBaseline.getVersion()`
Generated

### getDependencies

public EList<Dependency> getDependencies()

Specified by:
  `getDependencies` in interface `FixedBaseline`
Returns:
  the value of the 'Dependencies' containment reference list.
See Also:
  - `LMPackage.getFixedBaseline_Dependencies()`
Generated

### getDelivery

public Delivery getDelivery()

Specified by:
  `getDelivery` in interface `DropReview`
Returns:
  the value of the 'Delivery' reference.
See Also:
  - `DropReview.setDelivery(Delivery)`
  - `ReviewsPackage.getDropReview_Delivery()`
Generated

### setDelivery

public void setDelivery(Delivery newDelivery)

Specified by:
  `setDelivery` in interface `DropReview`
Parameters:
  `newDelivery` - the new value of the 'Delivery' reference.
See Also:
  - `DropReview.getDelivery()`
Generated

### getTargetTimeStamp

public long getTargetTimeStamp()

Specified by:
  `getTargetTimeStamp` in interface `DropReview`
Returns:
  the value of the 'Target Time Stamp' attribute.
See Also:
  - `ReviewsPackage.getDropReview_TargetTimeStamp()`
Generated
  NOT

### getDropType

public DropType getDropType()

Specified by:
  `getDropType` in interface `DropReview`
Returns:
  the value of the 'Drop Type' reference.
See Also:
  - `DropReview.setDropType(DropType)`
  - `ReviewsPackage.getDropReview_DropType()`
Generated

### setDropType

public void setDropType(DropType newDropType)

Specified by:
  `setDropType` in interface `DropReview`
Parameters:
  `newDropType` - the new value of the 'Drop Type' reference.
See Also:
  - `DropReview.getDropType()`
Generated

### getDropLabel

public String getDropLabel()

Specified by:
  `getDropLabel` in interface `DropReview`
Returns:
  the value of the 'Drop Label' attribute.
See Also:
  - `DropReview.setDropLabel(String)`
  - `ReviewsPackage.getDropReview_DropLabel()`
Generated

### setDropLabel

public void setDropLabel(String newDropLabel)

Specified by:
  `setDropLabel` in interface `DropReview`
Parameters:
  `newDropLabel` - the new value of the 'Drop Label' attribute.
See Also:
  - `DropReview.getDropLabel()`
Generated

### getBasedChanges

public EList<Change> getBasedChanges()

Specified by:
  `getBasedChanges` in interface `FixedBaseline`
Generated
  NOT

### eInverseRemove

public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `ReviewImpl`
Generated

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `InternalEObject`
Overrides:
  `eGet` in class `ReviewImpl`
Generated

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `InternalEObject`
Overrides:
  `eSet` in class `ReviewImpl`
Generated

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `InternalEObject`
Overrides:
  `eUnset` in class `ReviewImpl`
Generated

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `InternalEObject`
Overrides:
  `eIsSet` in class `ReviewImpl`
Generated

### eBaseStructuralFeatureID

public int eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass)

Specified by:
  `eBaseStructuralFeatureID` in interface `InternalEObject`
Overrides:
  `eBaseStructuralFeatureID` in class `ReviewImpl`
Generated

### eDerivedStructuralFeatureID

public int eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass)

Specified by:
  `eDerivedStructuralFeatureID` in interface `InternalEObject`
Overrides:
  `eDerivedStructuralFeatureID` in class `ReviewImpl`
Generated

### eDerivedOperationID

public int eDerivedOperationID(int baseOperationID, Class<?> baseClass)

Specified by:
  `eDerivedOperationID` in interface `InternalEObject`
Overrides:
  `eDerivedOperationID` in class `BasicEObjectImpl`
Generated

### eInvoke

public Object eInvoke(int operationID, EList<?> arguments) throws InvocationTargetException

Specified by:
  `eInvoke` in interface `InternalEObject`
Overrides:
  `eInvoke` in class `BaselineImpl`
Throws:
  `InvocationTargetException`
Generated

### isFloating

public boolean isFloating()
Description copied from class: `BaselineImpl`

Specified by:
  `isFloating` in interface `Baseline`
Specified by:
  `isFloating` in class `BaselineImpl`
Returns:
  the value of the 'Floating' attribute.
See Also:
  - `LMPackage.getBaseline_Floating()`

### getTypeName

public String getTypeName()

Specified by:
  `getTypeName` in interface `Baseline`
Overrides:
  `getTypeName` in class `BaselineImpl`

### getName

public String getName()
Description copied from class: `BaselineImpl`

Specified by:
  `getName` in interface `Baseline`
Specified by:
  `getName` in class `BaselineImpl`

### getSortPriority

public int getSortPriority()

Specified by:
  `getSortPriority` in interface `ExtendedBaseline`

### getBaseTimeStamp

public long getBaseTimeStamp()
Description copied from class: `BaselineImpl`

Specified by:
  `getBaseTimeStamp` in interface `Baseline`
Specified by:
  `getBaseTimeStamp` in class `BaselineImpl`

### getBranchPoint

public CDOBranchPointRef getBranchPoint()
Description copied from class: `BaselineImpl`

Specified by:
  `getBranchPoint` in interface `Baseline`
Specified by:
  `getBranchPoint` in class `BaselineImpl`